/**
 * CRFalign: A CRF-based sentence aligner for parallel corpora.
 *
 * Copyright (C) 2012 Eva Mujdricza-Maydt Copyright (C) 2012 Huiqin Körkel-Qu
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Developers: - Eva Mujdricza-Maydt (mujdricz@cl.uni-heidelberg.de) - Huiqin
 * Körkel-Qu (huiqin@cl.uni-heidelberg.de)
 */
package diceMatrix;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;


/*
 * this file is only too see how often the commen words and the uncommon words
 * appear in texts
 *
 */
public class countNum {

	public void count(File file) throws NumberFormatException, IOException {
		BufferedReader BR = new BufferedReader(new FileReader(file));
		String currentLine;

		int num = 100;
		int[] times = new int[100];
		for (int i = 0; i < 100; i++) {
			times[i] = 0;
		}
		while (null != (currentLine = BR.readLine())) {
			int currentNum = Integer.parseInt(currentLine.split("\\s+")[1]);
			if (currentNum <= num) {
				times[currentNum - 1] += currentNum;
			}
		}

		for (int i = 0; i < num; i++) {
			System.out.print((i + 1) + ";");
			System.out.println(times[i]);
		}
	}

	public void countCommenUncommen(File file) throws NumberFormatException, IOException {
		BufferedReader BR = new BufferedReader(new FileReader(file));
		String currentLine;

		int commen = 4000;
		int lineNum = 0;
		int commenNum = 0;
		int uncommenNum = 0;
		while (null != (currentLine = BR.readLine())) {
			int currentNum = Integer.parseInt(currentLine.split("\\s+")[1]);
			if (lineNum < commen) {
				commenNum += currentNum;
			} else {
				uncommenNum += currentNum;
			}

			lineNum += 1;
		}

		System.out.println("the commen words(" + commen + ") appears " + commenNum + " times");
		System.out.println("the uncommen words(" + commen + ") appears " + uncommenNum + " times");
	}

	public static void main(String[] argcs) throws NumberFormatException, IOException {
		countNum counter = new countNum();
		//File file=new File("/home/students/huiqin/gutenberg/dewordcount.nostop.txt");
		File file = new File("/home/students/huiqin/gutenberg/enwordcount.nostop.txt");
		//counter.count(file);
		counter.countCommenUncommen(file);
	}
}