/**
 * CRFalign: A CRF-based sentence aligner for parallel corpora.
 *
 * Copyright (C) 2012 Eva Mujdricza-Maydt Copyright (C) 2012 Huiqin Körkel-Qu
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Developers: - Eva Mujdricza-Maydt (mujdricz@cl.uni-heidelberg.de) - Huiqin
 * Körkel-Qu (huiqin@cl.uni-heidelberg.de)
 */
package diceMatrix;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;

/**
 * from file get the words that appear only once and their corresponding nums
 *
 * @author Huiqin Körkel-Qu
 *
 */
public class getSingleHash {

	public static int[] getNum(String fileName) throws IOException {

		File wordsFile = new File(fileName);

		BufferedReader BR = new BufferedReader(new FileReader(wordsFile));
		ArrayList<Integer> singleWords = new ArrayList<Integer>(100000);

		String currentLine;
		while (null != (currentLine = BR.readLine())) {
//		    System.out.println(currentLine);
			String[] oneLine = currentLine.split("\\s+");
			singleWords.add(Integer.parseInt(oneLine[0]));
		}

		BR.close();
		singleWords.trimToSize();
		int[] wordList = new int[singleWords.size()];
		for (int i = 0; i < singleWords.size(); i++) {
			wordList[i] = singleWords.get(i);
//			System.out.println(wordList[i]);
		}

		return wordList;
	}

	public static String[] getSingleWords(String fileName) throws IOException {
		File wordsFile = new File(fileName);

		BufferedReader BR = new BufferedReader(new FileReader(wordsFile));
		ArrayList<String> singleWords = new ArrayList<String>(100000);

		String currentLine;
		while (null != (currentLine = BR.readLine())) {
//		    System.out.println(currentLine);
			String[] oneLine = currentLine.split("\\s+");
			singleWords.add(oneLine[1]);
		}

		BR.close();
		singleWords.trimToSize();
		String[] wordList = new String[singleWords.size()];
		for (int i = 0; i < singleWords.size(); i++) {
			wordList[i] = singleWords.get(i);
//			System.out.println(wordList[i]);
		}

		return wordList;
	}
//	public static void main(String[] args) throws IOException
//	{
//		
//		getSingleHash.get("/home/students/huiqin/gutenberg/fordice/target.countsingle");
//	}
}
