/**
 * CRFalign: A CRF-based sentence aligner for parallel corpora.
 *
 * Copyright (C) 2012 Eva Mujdricza-Maydt Copyright (C) 2012 Huiqin Körkel-Qu
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Developers: - Eva Mujdricza-Maydt (mujdricz@cl.uni-heidelberg.de) - Huiqin
 * Körkel-Qu (huiqin@cl.uni-heidelberg.de)
 */
package diceMatrix;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.util.HashMap;

/**
 * get the stopword list from stopword file the stop word file is saved under
 * the soource code// it should change to be under the class directory.
 *
 * @author Huiqin Körkel-Qu
 */
public class getStopWords {

	static String stopWordPath;

	public static boolean getList(String stopWordName, HashMap<String, Integer> stopWordList) throws IOException {

		if (null == stopWordList) {
			stopWordList = new HashMap<String, Integer>();
		}
		String path = new general.getHelpPath().get();
		stopWordPath = path + myConst.helpFilesPath;
		File stopFile = new File(stopWordPath + "/" + stopWordName);
//		System.out.println("stopword file "+stopFile.getAbsolutePath()  );
		if (!stopFile.isFile()) {
			System.out.println("stopword file " + stopFile.getAbsolutePath() + "doesn't exist!");
			return false;
		}
		FileReader stopReader = new FileReader(stopFile);
		BufferedReader stopBuffer = new BufferedReader(stopReader);
		String currentWord;
		while (null != (currentWord = stopBuffer.readLine())) {
			stopWordList.put(currentWord.trim(), 1);
		}

		return true;
	}

	public static void main(String[] argc) throws IOException {
		getStopWords.getList("stopwords.en", null);
	}
}