/**
 * CRFalign: A CRF-based sentence aligner for parallel corpora.
 *
 * Copyright (C) 2012 Eva Mujdricza-Maydt Copyright (C) 2012 Huiqin Körkel-Qu
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Developers: - Eva Mujdricza-Maydt (mujdricz@cl.uni-heidelberg.de) - Huiqin
 * Körkel-Qu (huiqin@cl.uni-heidelberg.de)
 */
package diceMatrix.train;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;

/**
 * @author Huiqin Körkel-Qu
 */
public class getDiceArray {

	public static ArrayList<HashMap<Integer, Integer>> get(String fileName) throws NumberFormatException, IOException {

		File diceFile = new File(fileName);

		ArrayList<HashMap<Integer, Integer>> diceArray = new ArrayList<HashMap<Integer, Integer>>();

		BufferedReader BR = new BufferedReader(new FileReader(diceFile));

		String currentLine;
		while (null != (currentLine = BR.readLine())) {
			HashMap<Integer, Integer> oneHash = new HashMap<Integer, Integer>();
			String[] currentAppearance = currentLine.split("\\.");
			for (int j = 1; j < currentAppearance.length / 2 + 1; j++) {
				oneHash.put(Integer.parseInt(currentAppearance[j * 2 - 1]), Integer.parseInt(currentAppearance[j * 2]));
			}
			diceArray.add(oneHash);
		}

		BR.close();
		return diceArray;
	}
}
