/**
 * CRFalign: A CRF-based sentence aligner for parallel corpora.
 *
 * Copyright (C) 2012 Eva Mujdricza-Maydt Copyright (C) 2012 Huiqin Körkel-Qu
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Developers: - Eva Mujdricza-Maydt (mujdricz@cl.uni-heidelberg.de) - Huiqin
 * Körkel-Qu (huiqin@cl.uni-heidelberg.de)
 */
package general;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileWriter;
import java.io.IOException;
import java.util.ArrayList;

/**
 * write the strings in ArrayList<String> or ArrayList<ArrayList<String>> int to
 * file
 *
 * @author Huiqin Körkel-Qu
 *
 */
public class writeArray {

	public static void writeOne(String name, ArrayList<String> array) throws IOException {
		File file = new File(name);
		BufferedWriter br = new BufferedWriter(new FileWriter(file));

		for (int i = 0; i < array.size(); i++) {
			if (null != array.get(i)) {
				br.write(array.get(i));
			}
			br.write("\n");
		}
		br.close();
	}

	public static void writeMulti(String name, ArrayList<ArrayList<String>> array) throws IOException {
		File file = new File(name);
		BufferedWriter br = new BufferedWriter(new FileWriter(file));

		for (int i = 0; i < array.size(); i++) {
			if (null != array.get(i)) {
				for (int j = 0; j < array.get(i).size(); j++) {
					if (null != array.get(i).get(j)) {
						br.write(array.get(i).get(j));
					} else {
						br.write("\n");
					}
					br.write("\n");

				}
				br.write("\n");

			}
			br.write("\n");
		}
		br.close();
	}
}
