/**
 * CRFalign: A CRF-based sentence aligner for parallel corpora.
 *
 * Copyright (C) 2012 Eva Mujdricza-Maydt Copyright (C) 2012 Huiqin Körkel-Qu
 *
 * This program is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * this program. If not, see <http://www.gnu.org/licenses/>.
 *
 * Developers: - Eva Mujdricza-Maydt (mujdricz@cl.uni-heidelberg.de) - Huiqin
 * Körkel-Qu (huiqin@cl.uni-heidelberg.de)
 */
package generalTrain;

/**
 * from the xml file get the sentence in the structure of sentenceBean.
 *
 * @author Huiqin Körkel-Qu
 *
 */
public class sentenceBean {

	public String[] lemmaWordSeq, posSeq;
	public int sentenceLength;
//    public ArrayList<Integer> sentenceIds=new ArrayList<Integer>();
	public String sentencePunct = "-1";
	public int sentenceNum = 1;
	public int sentenceId = 0;

	public void setSentenceLength(int sentenceLength) {
		this.sentenceLength = sentenceLength;
	}

	public void setSentenceId(int sentenceId) {
		this.sentenceId = sentenceId;
	}

	public void setSentencePunct(String sentencePunct) {
		this.sentencePunct = sentencePunct;
	}

	public void setSentenceLemmaWord(String[] lemmaWordSeq) {
		this.lemmaWordSeq = lemmaWordSeq;
	}

	public void setSentencePos(String[] posSeq) {
		this.posSeq = posSeq;
	}

	public sentenceBean addBean(sentenceBean toAdd) {
		if (null == toAdd) {
			sentenceBean resultBean = new sentenceBean();
			resultBean = this;
			return resultBean;
		}

		sentenceBean resultBean = new sentenceBean();

//    	ArrayList<Integer> resultIdList=new ArrayList<Integer>();

		resultBean.setSentenceId(this.sentenceId);
		resultBean.sentenceNum += toAdd.sentenceNum;
		resultBean.setSentenceLength((this.sentenceLength + toAdd.sentenceLength));

		int lemmaWordNum1 = this.lemmaWordSeq.length;
		int lemmaWordNum2 = toAdd.lemmaWordSeq.length;
		int resultLemmaNum = lemmaWordNum1 + lemmaWordNum2;
		String[] resultLemmaSeq = new String[resultLemmaNum];
		System.arraycopy(this.lemmaWordSeq, 0, resultLemmaSeq, 0, this.lemmaWordSeq.length);
		System.arraycopy(toAdd.lemmaWordSeq, 0, resultLemmaSeq, this.lemmaWordSeq.length, toAdd.lemmaWordSeq.length);

		resultBean.setSentenceLemmaWord(resultLemmaSeq);

		int posNum1 = this.posSeq.length;
		int posNum2 = toAdd.posSeq.length;
		int resultPosNum = posNum1 + posNum2;
		String[] resultPosSeq = new String[resultPosNum];
		System.arraycopy(this.posSeq, 0, resultPosSeq, 0, this.posSeq.length);
		System.arraycopy(toAdd.posSeq, 0, resultPosSeq, this.posSeq.length, toAdd.posSeq.length);

		resultBean.setSentencePos(resultPosSeq);

		resultBean.setSentencePunct(toAdd.sentencePunct);

		return resultBean;
	}
}
